CC=mpicc
CFLAGS=-O3 -g
LDFLAGS=-lm -fopenmp

all: main

obj=src/main/main.c src/tree/tree.c src/common/common.c src/tree/kdtreeV2.c src/tree/heap.c

main: ${obj} 
	${CC} ${CFLAGS} ${LDFLAGS} ${obj} -o $@

clean:
	rm main
